Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  iLogic Dokument-Regel vs externe Regel

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   iLogic Dokument-Regel vs externe Regel (286 mal gelesen)
OibelTroibel
Mitglied
Konstrukteur


Sehen Sie sich das Profil von OibelTroibel an!   Senden Sie eine Private Message an OibelTroibel  Schreiben Sie einen Gästebucheintrag für OibelTroibel

Beiträge: 241
Registriert: 18.04.2014

ACAD/Inventor 2020 Professional

erstellt am: 23. Mrz. 2020 14:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen

Ich habe einen iLogic-Code, der über eine "interne" Regel ausführt funktioniert und über eine externe Regel nicht das macht was er soll. Ist das möglich, bzw sollte es nicht irrelevant sein woher der Code ausgeführt wird?

Code:
'Prüfen ob Dokument gespeichert wurde
Select ThisDoc.Document.FileSaveCounter
Case 0
MessageBox.Show("Bitte Bauteil zuerst speichern", "Speichererinnerung", MessageBoxButtons.OK, MessageBoxIcon.Stop)
Return
End Select

' Sicherstellen, dass nur .ipt berücksichtigt werden
Select Right(ThisDoc.FileName(True), 4)
Case ".idw"
Return
Case ".dwg"
Return
Case ".iam"
Return
Case ".ipn"
Return
End Select

'Prüfen ob Paramater "Beschaffung" bereits vorhanden ist und allenfalls erstellen
Dim oUserParameter As UserParameters
oUserParameter=ThisDoc.Document.ComponentDefinition.Parameters.UserParameters                         

Try
otester = oUserParameter.Item("Beschaffung")
Catch
oParameter=oUserParameter.AddByValue("Beschaffung", "3D-Druck", UnitsTypeEnum.kTextUnits)
MultiValue.SetList("Beschaffung", "3D-Druck", "Blechteil", "Drehteil", "Einkaufsteil", "Frästeil", "nicht definiert", "Plexiglas")

Parameter ("Beschaffung") = (InputListBox("Beschaffungsmethode wählen", MultiValue.List("Beschaffung"), Beschaffung, Title := "Beschaffungsmethode", ListName := "Auswahl"))
End Try
'iLogicVb.UpdateWhenDone=True

If Beschaffung = "nicht definiert" Then

'Liste der zu löschenden Benutzerproperties
Dim MyArrayList As New ArrayList
MyArrayList.Add("Beschaffung")

Dim oCustProp As Inventor.Property

'definiere Liste aller Benutzerproperties
oCustomPropertySet = ThisDoc.Document.PropertySets.Item("Inventor User Defined Properties")
'durchsuche alle properties der Liste
For Each oCustProp In oCustomPropertySet
'prüfe die Liste nach der zu löschenden Properties
If MyArrayList.Contains(oCustProp.Name)Then
'lösche das Benutzerpropertie
oCustProp.Delete
Else
'mache nichts
End If
Next

Else
iProperties.Value("Custom", "Beschaffung") = Beschaffung
End If
'iLogicVb.UpdateWhenDone=True


von der externen Regel ausgeführt, bleibt das benutzdefinierte iPropertie leer, von intern ausgeführt wird die Eigenschaft korrekt befüllt.

Beste Grüsse
Raphael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muellc
Ehrenmitglied V.I.P. h.c.
Inventor Administrator



Sehen Sie sich das Profil von muellc an!   Senden Sie eine Private Message an muellc  Schreiben Sie einen Gästebucheintrag für muellc

Beiträge: 3472
Registriert: 30.11.2006

Inventor 2017.4.12 64 bit
Windows 10 Enterprise 64 bit
3DEXPERIENCE R2016x
--------------------
HP Z-Book 15 G4
32 Gig Ram
NVIDIA Quadro M2200
2x HP E243i

erstellt am: 24. Mrz. 2020 08:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OibelTroibel 10 Unities + Antwort hilfreich

Hallo Raphael,

ändere mal

Code:
iProperties.Value("Custom", "Beschaffung") = Beschaffung

in

Code:
iProperties.Value("Custom", "Beschaffung") = Parameter("Beschaffung")

------------------
Gruß, Gandhi
Kampfkunst Siegen Outdoor Training

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OibelTroibel
Mitglied
Konstrukteur


Sehen Sie sich das Profil von OibelTroibel an!   Senden Sie eine Private Message an OibelTroibel  Schreiben Sie einen Gästebucheintrag für OibelTroibel

Beiträge: 241
Registriert: 18.04.2014

ACAD/Inventor 2020 Professional

erstellt am: 25. Mrz. 2020 22:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo muellc

Vielen Dank für dein Tipp, funktioniert nun bestens
Was genau ist der Unterschied der beiden Schreibweisen?

Beste Grüsse
Raphael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muellc
Ehrenmitglied V.I.P. h.c.
Inventor Administrator



Sehen Sie sich das Profil von muellc an!   Senden Sie eine Private Message an muellc  Schreiben Sie einen Gästebucheintrag für muellc

Beiträge: 3472
Registriert: 30.11.2006

Inventor 2017.4.12 64 bit
Windows 10 Enterprise 64 bit
3DEXPERIENCE R2016x
--------------------
HP Z-Book 15 G4
32 Gig Ram
NVIDIA Quadro M2200
2x HP E243i

erstellt am: 26. Mrz. 2020 11:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OibelTroibel 10 Unities + Antwort hilfreich

Ganz ehrlich?
KEine AHnung.

Ich würde mal schätzen das meine Schreibweise eindeutiger ist als ein eingefügter Name, aber ich bin was ILogic angeht immer noch ein Anfänger.

------------------
Gruß, Gandhi
Kampfkunst Siegen Outdoor Training

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OibelTroibel
Mitglied
Konstrukteur


Sehen Sie sich das Profil von OibelTroibel an!   Senden Sie eine Private Message an OibelTroibel  Schreiben Sie einen Gästebucheintrag für OibelTroibel

Beiträge: 241
Registriert: 18.04.2014

ACAD/Inventor 2020 Professional

erstellt am: 27. Mrz. 2020 10:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für deine ehrliche Antwort Ich werde es mir aber angewöhnen die eindeutigere Schreibweise zu verwenden.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz